Bug 503846 - pkgconfigdeps.sh bustage when version includes a space.
Summary: pkgconfigdeps.sh bustage when version includes a space.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Fedora Packaging Toolset Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-06-03 00:35 UTC by Jason Tibbitts
Modified: 2014-04-09 01:00 UTC (History)
3 users (show)

Fixed In Version: rpm-4.11.2-1.fc20
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-20 13:52:16 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Jason Tibbitts 2009-06-03 00:35:04 UTC
When pkg-config prints a version including a space, the version is passed verbatim to rpm which splits it into a separate dependency.

> pkg-config --print-provides *pc
devmapper = "1.02.27 (2008-06-25)"

The resulting rpm gets these odd dependencies (in this order)

(2008-06-25)"
pkgconfig(devmapper) = "1.02.27

If pkgconfig versions are allowed to include spaces, it may be best to sed out the quotes and change the spaces to underscores or something.  (If they're not then I guess this is a bug in pkgconfig.)

Comment 1 Bug Zapper 2009-06-09 17:00:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2010-04-27 14:37:55 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora Admin XMLRPC Client 2012-04-13 23:08:33 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Admin XMLRPC Client 2012-04-13 23:11:49 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Panu Matilainen 2013-09-09 13:15:12 UTC
This should be fixed upstream as of http://rpm.org/gitweb?p=rpm.git;a=commitdiff;h=66a01c977ea198fb05c5df22013884a6973485c5

Comment 6 Panu Matilainen 2014-01-20 13:52:16 UTC
In rawhide now via rpm >= 4.11.2 as per the commit message in comment #5

Comment 7 Fedora Update System 2014-02-13 09:02:30 UTC
rpm-4.11.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rpm-4.11.2-1.fc20

Comment 8 Fedora Update System 2014-02-13 09:44:14 UTC
rpm-4.11.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rpm-4.11.2-1.fc19

Comment 9 Fedora Update System 2014-02-16 23:22:19 UTC
rpm-4.11.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-04-09 01:00:50 UTC
rpm-4.11.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.